Announcements
Attention for Customers without Multi-Factor Authentication or Single Sign-On - OTP Verification rolls out April 2025. Read all about it here.

Max point of section line

BrandonBG
Collaborator

Max point of section line

BrandonBG
Collaborator
Collaborator

How do identify the SketchLine that cuts the section and get the max point through the API?

 

SectionLinePoint.jpg

 

My current route is:

 

Identify a SectionDrawingView

 

Find the Parent of the SectionDrawingView: a DrawingView

 

Find the SectionLineSketch from the DrawingView

 

The SectionLineSketch object contains the SketchLine that defines the section, but it also contains any projected SketchLine used to constrain the section line in SketchLines. I can't tell which line is the section line and which is a projected line. At first, I assumed SketchLines.Item(1) was the section line, but this is not the case.

 

Why am I doing this? I'm making a custom section line label, and because the API does not have an object for the label on the parent view, I have to hide the existing and drop a sketched symbol on the end point of the section line.

 

Which SketchLine defines the view?

 

Brandon

Inventor 2016

0 Likes
Reply
Accepted solutions (1)
2,431 Views
14 Replies
Replies (14)

MechMachineMan
Advisor
Advisor
I just did this. It's annoying AF. Good luck.

--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type
0 Likes

MechMachineMan
Advisor
Advisor
Accepted solution

Here. I'll make your day. Exactly as mine is. It's a little more complicated; we use 2 symbols just because the orientation of the text changes with respect to the arrows for 2 cases, but it'll get you most of the way there

 

'SECTION SYMBOL WIZARD
'JRK - 30.Jun.15

'PURPOSE - By running this rule, it allows you to place section symbols and tweak them for each drawing view in the sheet

'v0 - RELEASE

Sub Main()
'Variable Declarations
Dim oDwgDoc As DrawingDocument = ThisApplication.ActiveDocument

Dim oSelectSet As SelectSet

Dim oCommandMgr As CommandManager = ThisApplication.CommandManager

Dim oDLine As DrawingCurveSegment
Dim oView As DrawingView
Dim oSketch As DrawingSketch
Dim oLine As SketchLine
Dim oSecLine As SketchLine

Dim oSecEP As Point2d
Dim oSecSP As Point2d

Dim angle As Double

Dim oTG As TransientGeometry = ThisApplication.TransientGeometry
Dim oGeometryIntent1 As GeometryIntent
Dim oLeaderPoints1 As ObjectCollection
Dim oGeometryIntent2 As GeometryIntent
Dim oLeaderPoints2 As ObjectCollection

Dim oSSD As SketchedSymbolDefinition
Dim oSSD1 As SketchedSymbolDefinition
Dim oSSD2 As SketchedSymbolDefinition
Dim oSSD3 As SketchedSymbolDefinition

Dim oControlDef1 As ControlDefinition

Dim oTextBoxes As TextBoxes

Dim FS As Boolean = True
Dim RS As Boolean = True

'''Begin functionality


oDLine = oCommandMgr.Pick(SelectionFilterEnum.kDrawingCurveSegmentFilter, "Select the LINE")


oSP = oDLine.StartPoint
oEP = oDLine.EndPoint



Dim oV1 As Vector2d
Dim oV2 As Vector2d

If oEP.Y > oSP.Y
	oV1 = ThisApplication.TransientGeometry.CreateVector2d(oEP.X - oSP.X, oEP.Y - oSP.Y)
	oV2 = ThisApplication.TransientGeometry.CreateVector2d(1, 0)
Else
	oV1 = ThisApplication.TransientGeometry.CreateVector2d(oSP.X - oEP.X, oSP.Y - oEP.Y)
	oV2 = ThisApplication.TransientGeometry.CreateVector2d(1, 0)
End If

angle = oV2.AngleTo(oV1)

For Each oView In oDwgDoc.ActiveSheet.DrawingViews
	For Each oSketch In oView.Sketches
		For Each oLine In oSketch.SketchLines
			If Math.Abs(Math.Round(oView.Scale*(oLine.StartSketchPoint.Geometry.X - oLine.EndSketchPoint.Geometry.X),3)) = Math.Abs(Math.Round((oSP.X - oEP.X),3)) And _
				Math.Abs(Math.Round(oView.Scale*(oLine.StartSketchPoint.Geometry.Y - oLine.EndSketchPoint.Geometry.Y),3)) = Math.Abs(Math.Round((oSP.Y - oEP.Y),3))	
				oSecLine = oLine
				oCP = oTG.CreatePoint2d(oSketch.Parent.Position.X, oSketch.Parent.Position.Y)
				oSecSP = oTG.CreatePoint2d(oCP.X +oSecLine.StartSketchPoint.Geometry.X*oView.Scale, oCP.Y + oSecLine.StartSketchPoint.Geometry.Y*oView.Scale)
				oSecEP = oTG.CreatePoint2d(oCP.X +oSecLine.EndSketchPoint.Geometry.X*oView.Scale, oCP.Y + oSecLine.EndSketchPoint.Geometry.Y*oView.Scale)
			End If
		Next
	Next
Next



oLeaderPoints1 = ThisApplication.TransientObjects.CreateObjectCollection
'oLeaderPoints1.Add(oSP)
'oLeaderPoints1.Add(oSecSP)	
oGeometryIntent1 = oDwgDoc.ActiveSheet.CreateGeometryIntent(oSecLine, oSecSP)
oLeaderPoints1.Add(oGeometryIntent1)

oLeaderPoints2 = ThisApplication.TransientObjects.CreateObjectCollection
'oLeaderPoints2.Add(oEP)
'oLeaderPoints2.Add(oSecEP)	
oGeometryIntent2 = oDwgDoc.ActiveSheet.CreateGeometryIntent(oSecLine, oSecEP)
oLeaderPoints2.Add(oGeometryIntent2)

Dim PromptStrings(0 To 1) As String
PromptStrings(0) = ""
PromptStrings(1) = ""

oSSD1 = oDwgDoc.SketchedSymbolDefinitions.Item("Section Tail")
oSSD2 = oDwgDoc.SketchedSymbolDefinitions.Item("Section Symbol - Up")
oSSD3 = oDwgDoc.SketchedSymbolDefinitions.Item("Section Symbol - Down")

angle = NormalizeAngle(angle + Math.PI)

'Decide which sketched symbol to use based upon angle
If (0 <= angle And angle < (Math.PI/2)) Or (3*Math.PI/2) <= angle And angle < (2*Math.PI)
	oSSD = oSSD2
	angle1 = angle
Else
	oSSD = oSSD3
	angle1 = NormalizeAngle(angle + Math.PI)
End If

	
oS1 = oDwgDoc.ActiveSheet.SketchedSymbols.AddWithLeader(oSSD1,oLeaderPoints1,angle,1,,False,True)
	oS1.LeaderVisible = False
oS2 = oDwgDoc.ActiveSheet.SketchedSymbols.AddWithLeader(oSSD,oLeaderPoints2,angle1,1,PromptStrings,False,True)
	oS2.LeaderVisible = False

oSelectSet = oDwgDoc.SelectSet 
   	oSelectSet.Clear 
	oSelectSet.Select(oS2)
	
oControlDef1 = oCommandMgr.ControlDefinitions.Item("DrawingEditFieldTextCmd")
oControlDef1.Execute

oTextBoxes = oS2.Definition.Sketch.TextBoxes

PromptStrings(0) = oS2.GetResultText(oTextBoxes.Item(1))
PromptStrings(1) = oS2.GetResultText(oTextBoxes.Item(2))

While FS = True And RS = True
	'Reset
	FS = True
	RS = True
	
	'Rotate Symbol
	oRS = MsgBox("Rotate Symbols 180 degrees?", MsgBoxStyle.YesNo, "Section Symbols")
		If oRS = vbNo 
			RS = False
		Else
			oS1.Delete
			oS2.Delete
			angle = NormalizeAngle(angle + Math.PI)
			
			If (0 <= angle And angle < (Math.PI/2)) Or (3*Math.PI/2) <= angle And angle < (2*Math.PI)
				oSSD = oSSD2
			Else
				oSSD = oSSD3
				angle1 = NormalizeAngle(angle + Math.PI)
			End If
			
			oS1 = oDwgDoc.ActiveSheet.SketchedSymbols.AddWithLeader(oSSD1,oLeaderPoints1,angle,1,,False,True)
				oS1.LeaderVisible = False
			oS2 = oDwgDoc.ActiveSheet.SketchedSymbols.AddWithLeader(oSSD,oLeaderPoints2,angle1,1,PromptStrings,False,True)
				oS2.LeaderVisible = False
		End If
	
	'Swap Symbols
	oFS = MsgBox("Swap Head and Tail?", MsgBoxStyle.YesNo, "Section Symbols")
		If oFS = vbNo 
			FS = False
		Else
			oS1.Delete
			oS2.Delete
			oS1 = oDwgDoc.ActiveSheet.SketchedSymbols.AddWithLeader(oSSD1,oLeaderPoints2,angle,1,,False,True)
			oS1.LeaderVisible = False
			oS2 = oDwgDoc.ActiveSheet.SketchedSymbols.AddWithLeader(oSSD,oLeaderPoints1,angle1,1,PromptStrings,False,True)
			oS2.LeaderVisible = False
		End If
End While 'Fs / RS = True

oRemoveLabels

End Sub

Function NormalizeAngle(angle As Double)
Dim oAngle As Double
Dim multiple As Integer
If Math.Abs(angle) >= 2*Math.PI
	multiple = angle \ 2*Math.PI
	oAngle = angle - multiple*2*Math.PI
Else
	oAngle = angle
End If
Return oAngle
End Function

Sub oRemoveLabels

Dim oDoc As Document = ThisApplication.ActiveDocument
Dim oView As DrawingView
Dim i As String = ""

For Each oView In oDoc.ActiveSheet.DrawingViews
	If oView.Type = ObjectTypeEnum.kSectionDrawingViewObject
		oView.ShowLabel = False
		i = " " + i
		oView.Name = i
	End If
Next
		
End Sub

 


--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type

MechMachineMan
Advisor
Advisor
Anyone reading this please go upvote this:

http://forums.autodesk.com/t5/inventor-ideastation/batch-of-ideas-api-assembly-modelling/idi-p/57227...

--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type

MechMachineMan
Advisor
Advisor
Also, notes for tweaking the code I posted:

-More leader points would need to be added if you dont want the symbols sitting on the endpoints of the section line.

-The sketch of the section line is scaled as per the view scale, so to translate those coordinates, you need to use the centre for the view as well as the view scale.

-The symbol I use with mine only has 2 fields of prompted text in it and some sketch lines, which will need tweaking if you use anything different.

--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type
0 Likes

BrandonBG
Collaborator
Collaborator

Excellent work, sir! I find the lack of access to the section label baffling.

 

And I guess I wasn't crazy when I had 193 lines of code and no solution.


The key for me was getting the scale multiplier mixed in with the center of the parent view.

 

I'm going to work with your code and mine and see if can get this fully automated. I'm comparing camera angles to determine which way the section view points relative to the base view.

 

Any ideas on how to get to that section line without have to pick it?

 

Brandon

0 Likes

MechMachineMan
Advisor
Advisor
Just by using the section views you could probably reference back to the sketch. However, I included the selection so it could easily be done after the fact or for old drawings; too much automation can be a bad thing sometimes. Especially in big chunks.

--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type
0 Likes

BrandonBG
Collaborator
Collaborator

I think I cracked it.

 

I compare the SketchLines inside the Sketch of the section line.

 

oSketchLine.Reference = False for the section line, while everything else is True. Again, this works in my situation where I only use staight, single line section lines.

 

For Each oSketchLine In oSectionLine.Sketchlines
	If oSketchLine.Reference = False Then
		oPosition = oSketchLine.RangeBox.MaxPoint
	End If
Next

Brandon

0 Likes

MechMachineMan
Advisor
Advisor

Hey Brandon, did you even figure out a good way to find out which way the section view is pointing?


--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type
0 Likes

MechMachineMan
Advisor
Advisor
Eh, never mind. I saw you posted about using the camera in another post. So I tried using enums, but i didn't like that.

So instead I compared the up vector of the parent view to the page normal vector of the section view in order to figure out the angle of the parent view that the section comes off at. With this, I'll then be able to automatically set the view angle for any view 🙂

Thanks for the nudge!

--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type
0 Likes

BrandonBG
Collaborator
Collaborator

Are you able to get 90-180-270 degree angles comparing up vectors? This may be an avenue for me to explore.

 

I kind of gave up on the camera because I'd get weird 89.996348 angles using the projected views, and made a toggle button that rotates the section arrow 180 degrees back in forth when it points the wrong way.

 

Brandon

0 Likes

MechMachineMan
Advisor
Advisor

Yup!

 

Mostly just happy all those math classes I had to take to get my degree finally paid off Smiley LOL

 

Essentially, what it does, is it gets the vectors of the views from the eye to target (ie; into the page) for the parent and section.

Then it uses the upvector of the parent view. From there it checks via comparing the cross product of the UpVector and SectionViewVector to the IntoPageParentViewVector.

Based if they are the same or not, I know which orientation the angle is starting from.

 

From there, I just get the angle between the section vector and the up vector and return that.

 

'JRK - SectionViewAngleCalc
'Winter 2016

'Purpose: Get the angle of a section view with respect to the UpVector of the parent view.

Sub Main() Dim oCmdMgr As CommandManager = ThisApplication.CommandManager oView = oCmdMgr.Pick(SelectionFilterEnum.kDrawingViewFilter,"Pick Drawing View") oParentView = oView.ParentView Dim oSecVector, oParentVector, CrossVector As Vector oSecVector = GetViewVector(oView) oParentVector = GetViewVector(oParentView) oParentUpVector = oParentView.Camera.UpVector.AsVector oCrossVector = oParentUpVector.CrossProduct(oSecVector) Dim oRot As Double oRot = NormalizeAngle(oParentUpVector.AngleTo(oSecVector), True) If oSecVector.IsParallelTo(oParentUpVector) And oRot = 180 oAngle = 0 Else If oSecVector.IsParallelTo(oParentUpVector) And oRot = 0 oAngle = 180 Else oCrossVector.Normalize oParentVector.Normalize If oCrossVector.IsEqualTo(oParentVector, .005) oAngle = oRot + 180 Else oAngle = oRot End If End If MsgBox("Degress From UpVector To Section View " & vbLf & _ "(Also Same as angle to rotate Up Symbol" & vbLf & vbLf & _ oAngle & "°") End Sub Function GetViewVector(oView As DrawingView) As Vector Dim oTG As TransientGeometry oTG = ThisApplication.TransientGeometry Dim oCam As Camera oCam = oView.Camera Dim oCamEye, oCamTarget As Point oCamEye = oCam.Eye oCamTarget = oCam.Target Dim oViewVector As Vector oViewVector = oTG.CreateVector(oCamEye.X - oCamTarget.X, oCamEye.Y - oCamTarget.Y, oCamEye.Z - oCamTarget.Z) 'oViewVector = oTG.CreateVector(oCamEye.X, oCamEye.Y, oCamEye.Z) Return oViewVector End Function Function NormalizeAngle(angle As Double, ReturnDegrees As Boolean) Dim oAngle As Double Dim multiple As Double If Math.Abs(angle) >= 2*Math.PI multiple = angle \ (2*Math.PI) oAngle = angle - multiple*2*Math.PI Else oAngle = angle End If If ReturnDegrees = False Return oAngle Else Return (180/Math.PI) * oAngle End If End Function

--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type

Anonymous
Not applicable

is there anyway you can delete the arrow (or show none) and delete text with this to?

0 Likes

MechMachineMan
Advisor
Advisor
Using the section line styles you should be able to accomplish this.

--------------------------------------
Did you find this reply helpful ? If so please use the 'Accept as Solution' or 'Like' button below.

Justin K
Inventor 2018.2.3, Build 227 | Excel 2013+ VBA
ERP/CAD Communication | Custom Scripting
Machine Design | Process Optimization


iLogic/Inventor API: Autodesk Online Help | API Shortcut In Google Chrome | iLogic API Documentation
Vb.Net/VBA Programming: MSDN | Stackoverflow | Excel Object Model
Inventor API/VBA/Vb.Net Learning Resources: Forum Thread

Sample Solutions:Debugging in iLogic ( and Batch PDF Export Sample ) | API HasSaveCopyAs Issues |
BOM Export & Column Reorder | Reorient Skewed Part | Add Internal Profile Dogbones |
Run iLogic From VBA | Batch File Renaming| Continuous Pick/Rename Objects

Local Help: %PUBLIC%\Documents\Autodesk\Inventor 2018\Local Help

Ideas: Dockable/Customizable Property Browser | Section Line API/Thread Feature in Assembly/PartsList API Static Cells | Fourth BOM Type
0 Likes

Anonymous
Not applicable

what about deleting the text on some sections?

0 Likes